%global srcname zope.event
%global pkgname zope-event
%global summary Zope Event Publication
%global _description \
The zope.event package provides a simple event system. It provides    \
an event publishing system and a very simple event-dispatching system \
on which more sophisticated event dispatching systems can be built.   \
(For example, a type-based event dispatching system that builds on    \
zope.event can be found in zope.component.)

Name:           python3-%{pkgname}
Version:        4.2.0
Release:        3%{?dist}
Summary:        %{summary}
Group:          Development/Languages
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/zope.event/
Source0:        http://pypi.python.org/packages/source/z/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-sphinx
BuildRequires:  python-srpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%if 0%{?with_python3_other}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
%endif

%description %{_description}


%if %{python3_pkgversion} != 3
%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkgname}}

%description -n python%{python3_pkgversion}-%{pkgname} %{_description}
%endif


%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pkgname}}

%description -n python%{python3_other_pkgversion}-%{pkgname} %{_description}
%endif


%prep
%setup -q -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info


%build
%py3_build
%if 0%{?with_python3_other}
%py3_other_build
%endif

# build the sphinx documents
pushd docs
PYTHONPATH=../src make html
rm -f _build/html/.buildinfo
popd


%install
%py3_install
%if 0%{?with_python3_other}
%py3_other_install
%endif


%check
%{__python3} setup.py test
%if 0%{?with_python3_other}
%{__python3_other} setup.py test
%endif


%files -n python%{python3_pkgversion}-%{pkgname}
%doc CHANGES.rst README.rst docs/_build/html/
%license LICENSE.txt COPYRIGHT.txt
%{python3_sitelib}/zope/event/
%exclude %{python3_sitelib}/zope/event/tests.py*
%exclude %{python3_sitelib}/zope/event/__pycache__/tests*
%dir %{python3_sitelib}/zope/
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}-*-nspkg.pth

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{pkgname}
%doc CHANGES.rst README.rst docs/_build/html/
%license LICENSE.txt COPYRIGHT.txt
%{python3_other_sitelib}/zope/event/
%exclude %{python3_other_sitelib}/zope/event/tests.py*
%exclude %{python3_other_sitelib}/zope/event/__pycache__/tests*
%dir %{python3_other_sitelib}/zope/
%{python3_other_sitelib}/%{srcname}-*.egg-info
%{python3_other_sitelib}/%{srcname}-*-nspkg.pth
%endif


%changelog
* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com> - 4.2.0-3
- Rebuilt to change main python from 3.4 to 3.6

* Wed Aug 02 2017 Aurelien Bompard <abompard@fedoraproject.org> - 4.2.0-2
- Fix BuildRequires name

* Tue Nov 15 2016 Aurelien Bompard <abompard@fedoraproject.org> - 4.2.0-1
- initial Python3-specific package based on the main package.
